Skip to main content
GET
/
compute
/
clusters
/
{cluster_id}
/
instances
/
{optional_instance_id}
/
remediations
cURL
curl --request GET \
  --url https://api.together.xyz/v1/compute/clusters/{cluster_id}/instances/{optional_instance_id}/remediations \
  --header 'Authorization: Bearer <token>'
{
  "remediations": [
    {
      "id": "<string>",
      "cluster_id": "<string>",
      "instance_id": "<string>",
      "mode": "REMEDIATION_MODE_VM_ONLY",
      "trigger": "REMEDIATION_TRIGGER_MANUAL",
      "state": "PENDING_APPROVAL",
      "reason": "<string>",
      "active_health_check_run_id": "<string>",
      "passive_health_check_event_id": "<string>",
      "requested_by": "<string>",
      "create_time": "2023-11-07T05:31:56Z",
      "reviewed_by": "<string>",
      "review_time": "2023-11-07T05:31:56Z",
      "review_comment": "<string>",
      "start_time": "2023-11-07T05:31:56Z",
      "end_time": "2023-11-07T05:31:56Z",
      "error_message": "<string>",
      "update_time": "2023-11-07T05:31:56Z"
    }
  ],
  "has_next": true,
  "next_page_token": "<string>"
}

Authorizations

Authorization
string
header
default:default
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cluster_id
string
required
optional_instance_id
string
required

To list remediations on a specific node, pass the node's instance ID. To list remediations for all nodes in a cluster, pass - as a wildcard for the instance ID.

Query Parameters

pageSize
integer

Maximum results to return.

pageToken
string

Pagination token from previous request.

state
enum<string>[]

Filter by state(s). Returns remediations matching any of the specified states.

  • PENDING_APPROVAL: Awaiting approval before processing can begin.
  • PENDING: Approved and queued for processing.
  • RUNNING: Actively being processed.
  • SUCCEEDED: Successfully completed.
  • FAILED: Failed with an error.
  • CANCELLED: Cancelled by user or system.
  • AUTO_RESOLVED: The underlying issue was automatically resolved before processing.
Available options:
PENDING_APPROVAL,
PENDING,
RUNNING,
SUCCEEDED,
FAILED,
CANCELLED,
AUTO_RESOLVED
orderBy
string

Order by expression.

Response

ListRemediationsResponse is the response for ListRemediations.

remediations
object[]
required

The list of remediations.

has_next
boolean
required

Indicates if there are more results available.

next_page_token
string

Token for the next page.